<div>
    <mat-card class="info-message">

        <p>  {{'select-file.selectEco' | translate}}</p>
            <div class="dropdown">
                <button id="dropbtn"class="dropbtn">Gaia-X Trust Framework</button>
                <div class="dropdown-content">
                    <a (click)="reload('Gaia-X Trust Framework')">Gaia-X Trust Framework</a>
                    <a (click)="reload('   Trusted Cloud   ')">Trusted Cloud</a>
	                  <a (click)="reload('PLC AAD Trust Framework')">PLC AAD Trust Framework</a>
                </div>
            </div>

       <hr>
       <p>  {{'select-file.select' | translate}}<b><u><a (click)="openModal('upload-modal')" style="cursor: pointer;">{{'select-file.upload' | translate}}</a></u></b></p>

    </mat-card>



    <div class="mainbody" *mcRerender="trigger">
        <div class="bodyheader">
            <button class ="uploadbutton" (click)="openModal('upload-modal')">{{'select-file.uploadButton' | translate}}  <img src="../../../assets/images/upload.svg" alt="upload shape"></button>
        </div>
        <div class="participant">
            <span class="text">{{'select-file.participant' | translate}}</span>
            <hr>
        </div>
        <div fxLayout="row wrap"  fxLayoutGap="16px grid" class="row-files">


            <div fxFlex="20%" fxFlex.xs="100%" fxFlex.sm="20%" *ngFor="let file of participantFiles">
                <button class="file" mat-stroked-button color="primary" (click)="select(file)">
                    {{getFileName(file)}}
                </button>
            </div>
        </div>
        <div class="participant">
            <span class="text">{{'select-file.service' | translate}}</span>
            <hr>
        </div>
        <div fxLayout="row wrap"  fxLayoutGap="16px grid" class="row-files">


            <div fxFlex="20%" fxFlex.xs="100%" fxFlex.sm="20%" *ngFor="let file of serviceFiles">
                <button class="file" mat-stroked-button color="primary" (click)="select(file)">
                    {{getFileName(file)}}
                </button>
            </div>
        </div>
        <div class="participant">
            <span class="text">{{'select-file.default' | translate}}</span>
            <hr>
        </div>

        <div fxLayout="row wrap"  fxLayoutGap="16px grid" class="row-files">


            <div fxFlex="20%" fxFlex.xs="100%" fxFlex.sm="20%" *ngFor="let file of defaultFiles">
                <button class="file" mat-stroked-button color="primary" (click)="select(file)">
                    {{getFileName(file)}}
                </button>
            </div>
        </div>
    <!--Compliance-->
    <div *ngIf="complianceFiles?.length > 0" class="participant">
        <span class="text">Compliance shapes</span>
        <hr>
    </div>
    <div fxLayout="row wrap"  fxLayoutGap="16px grid" class="row-files">


        <div fxFlex="20%" fxFlex.xs="100%" fxFlex.sm="20%" *ngFor="let file of complianceFiles">
            <button class="file" mat-stroked-button color="primary" (click)="select(file)">
                {{getFileName(file)}}
            </button>
        </div>
    </div>
    <!--End compliance-->
    <!--Core-->
    <div *ngIf="coreFiles?.length > 0" class="participant">
        <span class="text">Core shapes</span>
        <hr>
    </div>
    <div fxLayout="row wrap"  fxLayoutGap="16px grid" class="row-files">


        <div fxFlex="20%" fxFlex.xs="100%" fxFlex.sm="20%" *ngFor="let file of coreFiles">
            <button class="file" mat-stroked-button color="primary" (click)="select(file)">
                {{getFileName(file)}}
            </button>
        </div>
    </div>
    <!--End Core-->
    <!--Other-->
    <div *ngIf="otherFiles?.length > 0" class="participant">
        <span class="text">Other shapes</span>
        <hr>
    </div>
    <div fxLayout="row wrap"  fxLayoutGap="16px grid" class="row-files">


        <div fxFlex="20%" fxFlex.xs="100%" fxFlex.sm="20%" *ngFor="let file of otherFiles">
            <button class="file" mat-stroked-button color="primary" (click)="select(file)">
                {{getFileName(file)}}
            </button>
        </div>
    </div>
    <!--End Other-->
    <!--Configuration-->
    <div *ngIf="configurationFiles?.length > 0" class="participant">
        <span class="text">Configuration shapes</span>
        <hr>
    </div>
    <div fxLayout="row wrap"  fxLayoutGap="16px grid" class="row-files">


        <div fxFlex="20%" fxFlex.xs="100%" fxFlex.sm="20%" *ngFor="let file of configurationFiles">
            <button class="file" mat-stroked-button color="primary" (click)="select(file)">
                {{getFileName(file)}}
            </button>
        </div>
    </div>
    <!--Configuration-->
    </div>
</div>


<jw-modal id="upload-modal">
    <div class="uploadheading">
        <button type="button" class="btn-close" (click)="closeModal('upload-modal')" style="visibility: hidden;">
            <span class="icon-cross"></span>
            <span class="visually-hidden">{{'select-file.close' | translate}} </span>
          </button>
        <h1 class="uploadtitle"> {{'select-file.uploadShape' | translate}}</h1>
        <button type="button" class="btn-close" (click)="closeModal('upload-modal')">
            <span class="icon-cross"></span>
            <span class="visually-hidden">{{'select-file.close' | translate}}</span>
          </button>
    </div>
    <div class="uploadbody">
        <input type="file" class="file-input" (change)="onFileSelected($event,'upload-modal')" #fileUpload>
        <!--<img src="../../../assets/images/cloud.svg" alt="">-->
        <svg width="378" height="378" viewBox="0 0 378 378" fill="none" xmlns="http://www.w3.org/2000/svg">


            <defs>
                <filter id="iconfilter" primitiveUnits="objectBoundingBox" >
               <feFlood flood-color="#673AB7"/>


                  <feOffset id="animation">
                    <animate attributeName="dy" from="1" to="0" dur="4s" repeatCount="once" begin="indefinite" fill="freeze" #uploadanimation/>
                  </feOffset>

                  <feComposite operator="in" in2="SourceGraphic" />
                  <feComposite operator="over" in2="SourceGraphic" />

                </filter>
              </defs>
              <g id="userIcon" filter="url(#iconfilter)">
                <path d="M307.421 105.557C303.379 81.5386 291.487 59.6188 273.298 42.9846C253.088 24.4849 226.816 14.3023 199.455 14.3023C178.312 14.3023 157.714 20.3652 140.069 31.7915C125.378 41.2745 113.175 54.1 104.547 69.1795C100.816 68.48 96.9291 68.0913 93.0426 68.0913C60.0074 68.0913 33.1129 94.9858 33.1129 128.021C33.1129 132.296 33.5793 136.416 34.3566 140.458C12.9809 156.004 0 181.033 0 207.694C0 229.225 8.00617 250.135 22.6194 266.691C37.6212 283.636 57.4423 293.663 78.5848 294.829C78.818 294.829 78.9735 294.829 79.2067 294.829H146.054C151.884 294.829 156.548 290.165 156.548 284.336C156.548 278.506 151.884 273.842 146.054 273.842H79.5176C47.7261 271.899 20.987 241.662 20.987 207.616C20.987 185.619 32.802 165.098 51.8458 153.983C56.2764 151.418 58.1419 146.054 56.4318 141.235C54.8772 137.038 54.0999 132.607 54.0999 127.866C54.0999 106.412 71.5891 88.9229 93.0426 88.9229C97.6286 88.9229 102.137 89.7002 106.334 91.2548C111.465 93.1203 117.139 90.7884 119.471 85.8914C134.006 55.0327 165.409 35.1339 199.532 35.1339C245.393 35.1339 283.247 69.4905 287.6 115.04C288.067 119.782 291.642 123.59 296.306 124.368C330.896 130.275 357.013 162.222 357.013 198.677C357.013 237.309 326.621 270.888 289.155 273.764H231.868C226.038 273.764 221.374 278.428 221.374 284.258C221.374 290.088 226.038 294.751 231.868 294.751H289.543C289.777 294.751 290.01 294.751 290.321 294.751C314.028 293.041 336.181 282.159 352.66 263.97C369.061 245.937 378 222.774 378 198.677C377.922 155.071 348.152 116.284 307.421 105.557Z" fill="#673AB7" fill-opacity="0.13"/>
            <path d="M252 217.643C256.12 213.524 256.12 206.917 252 202.797L196.423 147.22C194.48 145.277 191.759 144.111 189.039 144.111C186.318 144.111 183.598 145.199 181.654 147.22L126.078 202.797C121.958 206.917 121.958 213.524 126.078 217.643C128.099 219.664 130.819 220.753 133.462 220.753C136.105 220.753 138.825 219.742 140.846 217.643L178.545 179.945V353.204C178.545 359.034 183.209 363.698 189.039 363.698C194.868 363.698 199.532 359.034 199.532 353.204V179.945L237.231 217.643C241.273 221.763 247.88 221.763 252 217.643Z" fill="#673AB7" fill-opacity="0.13"/>

                </g>
        </svg>

        <div class="contents" #contents>


            <app-file-upload (notify)="closeModal('upload-modal')"></app-file-upload>

        </div>
    </div>
</jw-modal>
<div class="info-message" *ngIf="requestError">
    <mat-error>{{'select-file.processError' | translate}}There was an error trying to process the selected file. Please try it again.</mat-error>
</div>


